Warning error

2011 年 3 月 30 日

ホーム フォーラム バグ報告 Warning error

このトピックには9件の返信が含まれ、3人の参加者がいます。6 年、 7 ヶ月前 fromtana さんが最後の更新を行いました。

10件の投稿を表示中 - 1 - 10件目 (全10件中)
  • 投稿者
    投稿
  • #50330

    Taizo1205
    参加者

    動作に関するご質問の場合は必ずご記入ください。


    Welcart のバージョン: 0.9.4

    症状を確認したブラウザ:Windows Internet Explorer

    サーバー(会社名、サービス名):現在社内の個人のPCでLocalhostでテスト中

    SSLの利用: 無し | 専用SSL | 共用SSL   無し

    WordPress のパーマリンク設定:


    買い物の途中の”発注・支払方法”フェーズで内容確認後、”次へ”を

    指示すると以下のメッセージが出ます。

    その後、処理を継続すると問題なく、処理はできます。

    このメッセージの内容と対処方法を教えてください。

    Warning: strtoupper() expects parameter 1 to be string, array given in C:xampphtdocsIseyawp-includesquery.php on line 2264

    #61743

    nanbu
    参加者

    こんにちは。

    query.php はWordPress のコアファイルです。

    Welcart 以外のプラグインを停止して動作テストを行なってみてください。

    また、テーマは何をお使いでしょうか。テーマをカスタマイズされている場合は、Welcart Default テーマ を初期の状態で動作テストして、どこに原因があるかを探ってみてください。

    #61744

    Taizo1205
    参加者

    ご指示頂いた内容でテストをしました。

    前回は、simple-indyをメインのテーマにして作成していました。

    今回はWelcartにそのままのホルダーを名前を変えて、子供のテーマを作成してその中に今回の要求を入れてみました。

    結果は同じ内容でエラーがデマした。

    Warning: strtoupper() expects parameter 1 to be string, array given in C:xampphtdocsIseya-cowp-includesquery.php on line 2264

    データも全てスクラッチから入れてデータベースも新たに作成して、WordpressとWelcartもインストールし直しました。

    特に変わった使い方はしていませんし、今までにも数件同じ方法で作成していますが、その時は問題ありませんでした。

    Warningなので処理は継続出来、結果も正常に処理されています。

    WelcartのどこからCallしているのでしょうか。

    解れば教えてください。

    #61745

    Taizo1205
    参加者

    Welcartのテーマを有効化して、同じ操作をしても結果はおねじでした。

    Warning: strtoupper() expects parameter 1 to be string, array given in C:xampphtdocsIseya-cowp-includesquery.php on line 2264

    #61746

    nanbu
    参加者

    検証テストありがとうございます。

    現在ご利用中のphp のバージョンを教えていただけますでしょうか。

    こちらは5.2.14 で該当すると思われるerror reporting はNOTICE となっています。バージョンによってWARNING になるのでしょうか。

    #61747

    Taizo1205
    参加者

    現在はLocalで下記の環境で使用しています。

    Apache/2.2.14 (Win32) DAV/2 mod_autoindex_color PHP/5.3.1 mod_apreq2-20090110/2.7.1 mod_perl/2.0.4 Perl/v5.10.1

    色々と試していますが、解決しません。

    #61748

    fromtana
    参加者

    Welcart のバージョン: Welcart 1.0-beta

    テーマは: welcart defiult

    症状を確認したブラウザ:Windows FireFox

    サーバー(会社名、サービス名):個人のサーバでLocalhostでテスト中

    SSLの利用: 無し | 専用SSL | 共用SSL   無し

    Apach/2.3 php/5.3

    paypalの購入を設定し購入テスト!

    paypalの「今すぐ購入ボタン」を押すとカートのページに戻ってしまう!設定ミスかと思い何度かwpの再インストールや、プラグインの入れなおしを試みるが、購入完了までたどりつけない!

    ので、質問しようと思いましたが、以下のエラーが2個出ました。

    Warning: strtoupper() expects parameter 1 to be string, array given in /opt/local/webroot/wordpress/wp-includes/query.php on line 2264

    Warning: strtoupper() expects parameter 1 to be string, array given in /opt/local/webroot/wordpress/wp-includes/query.php on line 2264

    paypalの今すぐ購入ボタンを押し、カートのページに戻ってしまうところで!

    ブラウザーの戻るボタンを押して、今すぐ購入画面に戻るかと思ったら、ページが見つかりませんとなる!

    そこで、URLバーからtopページに戻り、カートから再度購入ページに順に進むと!

    paypalの今すぐ購入ページで、上記のエラーが出現しました。

    ログアウトしたり、カートの中身を削除、ユーザーを変更してやり直したが、エラーは消えないので解決してません。

    #61749

    nanbu
    参加者

    こんにちは、fromtana さん。ご報告ありがとうございます。

    なるほど、皆さんphp は5.3 をお使いなんですね。

    修正すべきところは把握できています。ただかなり大掛かりなので、まずは0.9から修正した後、1.0はbeta2 としてリリースいたしますのでしばらくお待ちください。

    よろしくお願いいたします。

    #61750

    nanbu
    参加者

    こんにちは。

    0.9.5 で修正をかけようといたしましたが、他のプラグインにまで影響が出てしまうことが判明いたしました。大変申し訳ありませんが、v0.9x までのバージョンは、php のバージョンを5.2x までと限定したいと思います。

    Welcart 1.0 はphp 5.2 及び5.3 に対応したいと思います。

    合せてその他の拡張プラグインもアップグレードを実施いたしますがWelcart 1.0以降 が条件となります。

    よろしくお願いいたします。

    #61751

    fromtana
    参加者

    nanbu様

    ご返答ありがとうございます。

    連絡が遅くなりましたが、これからもよろしくお願い申しあげます。

    welcart 1.0が早急に、改善されることを楽しみにして待っております。

10件の投稿を表示中 - 1 - 10件目 (全10件中)

このトピックに返信するにはログインが必要です。